#!/usr/bin/mkbootcmd
# To recompile run this script or with:
# mkimage -C none -A arm -T script -d boot.cmd boot.scr

setenv fsck.repair yes
setenv ramdisk initrd.img-4.14.52
setenv kernel linux-4.14.52

setenv env_addr 0x45000000
setenv kernel_addr 0x46000000
setenv ramdisk_addr 0x48000000
setenv dtb_addr 0x4a000000

fatload mmc 0 ${kernel_addr} ${kernel}
fatload mmc 0 ${ramdisk_addr} ${ramdisk}
fatload mmc 0 ${dtb_addr} sun50i-h5-unipi-axon.dtb
fdt addr ${dtb_addr}
fdt resize 

# disable bluetooth ; default is enabled
fdt set /soc//serial@01c28c00 status "disabled"
fdt set /rfkill_bt status "disabled"
# disable wifi ; default is enabled
fdt set /soc/mmc@01c10000/bcrmf@1 status "disabled"
fdt set /soc/mmc@01c10000 status "disabled"

# setup MAC address 
fdt set ethernet0 local-mac-address ${mac_node}

# setup boot_device
fdt set mmc${boot_mmc} boot_device <1>

## enable 485 mode on ttyS0; default is standard rs232
fdt set /soc/serial@01c28000 compatible "unipi,dw-apb-485"

setenv bootargs console=tty0 root=/dev/mmcblk0p2 rootfstype=ext4 rw rootwait fsck.repair=${fsck.repair} panic=10 ${extra} quiet

booti ${kernel_addr} ${ramdisk_addr}:2000000 ${dtb_addr}
